Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 546890 - app-office/libreoffice with musl
Summary: app-office/libreoffice with musl
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on: 493464 545502 546556 547368 559500 559516 559518 559520
Blocks: musl-porting
  Show dependency tree
 
Reported: 2015-04-17 08:31 UTC by tt_1
Modified: 2020-11-25 01:51 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch against hardened-development overlay (libreoffice.patch,170.64 KB, patch)
2015-04-17 08:32 UTC, tt_1
Details | Diff
Upstream patch for liblangtag (liblangtag-musl.patch,619 bytes, patch)
2015-04-21 17:25 UTC, Felix Janda
Details | Diff
Patch for liblangtag against hardened-development overlay (liblangtag-musl-overlay.patch,6.68 KB, patch)
2015-04-21 17:28 UTC, Felix Janda
Details | Diff
new patch against hardened-development overlay (libreoffice-4.4.1.2.patch,53.92 KB, patch)
2015-04-22 06:48 UTC, tt_1
Details | Diff
new patch against hardened-development overlay (libreoffice-4.4.1.2.patch,53.00 KB, patch)
2015-04-22 06:55 UTC, tt_1
Details | Diff
patch against hardened-development overlay (libreoffice-4.4.1.2.patch,53.02 KB, patch)
2015-04-25 10:31 UTC, tt_1
Details | Diff
patch against the musl overlay (libreoffice.patch,102.73 KB, patch)
2015-09-04 06:38 UTC, tt_1
Details | Diff
updated patch against the musl overlay (libreoffice-4.4.5.2.patch,82.01 KB, patch)
2015-09-07 08:54 UTC, tt_1
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tt_1 2015-04-17 08:31:05 UTC
I added three patches from Alpine Linux and had to cheat around the app-text/liblangtag dependency by adding --diable-liblang and deleting it from COMMON_DEPEND in the ebuild. 

so please test.
Comment 1 tt_1 2015-04-17 08:32:09 UTC
Created attachment 401440 [details, diff]
patch against hardened-development overlay
Comment 2 Felix Janda 2015-04-17 18:48:09 UTC
Thanks for the patch!

Please delete the Changelogs from the patch.

liblangtag does not build with musl?
Comment 4 Felix Janda 2015-04-21 17:25:01 UTC
Created attachment 401748 [details, diff]
Upstream patch for liblangtag
Comment 5 Felix Janda 2015-04-21 17:28:03 UTC
Created attachment 401750 [details, diff]
Patch for liblangtag against hardened-development overlay

@tt_1: Please test the ebuild and see whether you can now emerge libreoffice without disabling liblangtag.
Comment 6 tt_1 2015-04-22 06:48:20 UTC
Created attachment 401774 [details, diff]
new patch against hardened-development overlay
Comment 7 tt_1 2015-04-22 06:55:27 UTC
Created attachment 401778 [details, diff]
new patch against hardened-development overlay

made a little misstake with the patch, should be ok now. 

the patch from liblangtag helps to compile, I will test if libreoffice builds with --enabled-liblangtag.
Comment 8 Felix Janda 2015-04-22 19:24:51 UTC
discussion for liblangtag has moved to bug https://bugs.gentoo.org/show_bug.cgi?id=547368
Comment 9 Mike Gilbert gentoo-dev 2015-04-23 17:13:27 UTC
Please provide a diff of your ebuild against the version in the main gentoo tree.

The current patch you have attached makes it impossible to see what you changed.
Comment 10 Felix Janda 2015-04-23 20:19:22 UTC
The big patch adds these three patches to the ebuild:

http://git.alpinelinux.org/cgit/aports/tree/main/libreoffice/fix-execinfo.patch
http://git.alpinelinux.org/cgit/aports/tree/main/libreoffice/fix-includes.patch
http://git.alpinelinux.org/cgit/aports/tree/main/libreoffice/linux-musl.patch


@tt_1: The patch still removes the liblangtag DEPEND. Also it gives me whitespace errors.
Comment 11 Anthony Basile gentoo-dev 2015-04-24 11:14:06 UTC
(In reply to tt_1 from comment #7)
> Created attachment 401778 [details, diff] [details, diff]
> new patch against hardened-development overlay
> 


(In reply to Mike Gilbert from comment #9)
> Please provide a diff of your ebuild against the version in the main gentoo
> tree.
> 
> The current patch you have attached makes it impossible to see what you
> changed.

@floppym.  They've been making my life easy by creating these full commits against the hardened-development overlay.  I don't want to discourage them from doing that, but if they expect a patch to get into the tree, then they need to just produce a diff.

Some of the fixes for musl are not ready for the main tree.
Comment 12 tt_1 2015-04-25 10:31:35 UTC
Created attachment 401982 [details, diff]
patch against hardened-development overlay

sry, forgot to add the liblang depend after having deleted it. 

@ Felix: could you please be a bit more specific concerning these whitespace errors? where are they to be found? 


diff from in tree libreoffice-4.4.1.2.ebuild to the one in the overlay. the patches are from Alpine. 

255a256,258
> 	"${FILESDIR}/${PN}-4.4.1.2-musl-fix-execinfo.patch"
> 	"${FILESDIR}/${PN}-4.4.1.2-fix-includes.patch"
> 	"${FILESDIR}/${PN}-4.4.1.2-linux-musl.patch"
Comment 13 Andreas Sturmlechner gentoo-dev 2015-04-25 10:48:36 UTC
app-office/libreoffice $ `repoman full`

...is usually quite informative about those kind of things. ;)
Comment 14 Felix Janda 2015-04-25 13:29:40 UTC
Patch looks fine. (I misinterpreted the white space warnings that git apply produces.)
Comment 15 Anthony Basile gentoo-dev 2015-05-02 23:47:25 UTC
(In reply to tt_1 from comment #12)
> Created attachment 401982 [details, diff] [details, diff]
> patch against hardened-development overlay

Committed against the hardened-dev::musl overlay.

Are thse patches going upstream?  If not then close this bug.
Comment 16 tt_1 2015-09-03 17:42:11 UTC
the three patches from Alpine mentioned in #10 are still aplicable in the up to date 4.4.4.x branch, but a few dependencies do not build properly. such as libcmis:0.5 (see #559518), or >libetonyek-0.1.1 (see #559516).
Comment 17 tt_1 2015-09-04 06:38:15 UTC
Created attachment 410970 [details, diff]
patch against the musl overlay

so, here you go, patches against the musl overlay. 

for your information

stable in-tree of cmake does not build on musl. workaround is to use >=dev-util/cmake-3.2.3 , as there is a musl specific patch in tree. stable in-tree of autogen does not compile and therefore gnutls does not. workaround is to use >=sys-devel/autogen-5.18.4. 

these are both non-stable packages, so I thought to add them to the DEPEND section of the ebuild. however, these are not direct dependecies, but of app-text/poppler and of net-libs/gnutls or rather of net-libs/neon. is there any clean and smooth way to include them as dependencies in the libreoffice ebuild? 

>app-text/libetonyek-0.1.1 does not build, neither does >=dev-cpp/libcmis-0.5. however, there is a ugly fix for gcc to solve this problem. for further information, have a look at #559516#c2. 

last, but not least, =x11-proto/xcb-proto-1.11 fails to build with python 3_3 and python 3_4 bindings. one workaround is to disable the use flag via -python_targets_python3_3 or respectivly -python_targets_python3_4. if that is not appealing to you, have a look at #559520#c4 , take a deep breath, and apply the tiny patch to your musl c-lib. although it seems to work, this does require much more testing I guess.
Comment 18 tt_1 2015-09-07 08:54:18 UTC
Created attachment 411236 [details, diff]
updated patch against the musl overlay

libreoffice-4.4.5.2 is now stable on amd64 and x86.
Comment 19 Anthony Basile gentoo-dev 2015-09-07 10:14:21 UTC
(In reply to tt_1 from comment #18)
> Created attachment 411236 [details, diff] [details, diff]
> updated patch against the musl overlay
> 
> libreoffice-4.4.5.2 is now stable on amd64 and x86.

committed
Comment 20 Andreas K. Hüttel archtester gentoo-dev 2016-07-03 18:57:20 UTC
        "${FILESDIR}/${PN}-4.4.1.2-fix-includes.patch"
        "${FILESDIR}/${PN}-5.0.5.2-linux-musl.patch"
        "${FILESDIR}/${PN}-4.4.1.2-musl-fix-execinfo.patch"


Hey all, what's the status here?

I'll be happy to add patches to our release ebuilds as soon as they have been accepted upstream into master branch. :)
Comment 21 Andreas K. Hüttel archtester gentoo-dev 2020-11-25 01:51:20 UTC
(In reply to Andreas K. Hüttel from comment #20)
>         "${FILESDIR}/${PN}-4.4.1.2-fix-includes.patch"
>         "${FILESDIR}/${PN}-5.0.5.2-linux-musl.patch"
>         "${FILESDIR}/${PN}-4.4.1.2-musl-fix-execinfo.patch"
> 
> 
> Hey all, what's the status here?
> 
> I'll be happy to add patches to our release ebuilds as soon as they have
> been accepted upstream into master branch. :)

No response.